﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

//Adding namespace for SfChart
using Syncfusion.UI.Xaml.Charts;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Chart_Code
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            Grid rootGrid = new Grid();
            rootGrid.DataContext = new LineChartViewModel();

            SfChart chart = new SfChart();           
            
            //Creating Axes for the chart
            CategoryAxis primaryAxis = new CategoryAxis()
            {
                Header ="Horas",
                FontSize = 14
            };
            NumericalAxis secondaryAxis = new NumericalAxis()
            {
                Header="Valores",
                FontSize=14
            };
            chart.PrimaryAxis = primaryAxis;
            chart.SecondaryAxis = secondaryAxis;

            //Creating series for the chart
            LineSeries lineSeries = new LineSeries()
            {
                XBindingPath = "Hour",
                YBindingPath = "Value1",
                ItemsSource = (rootGrid.DataContext as LineChartViewModel).PowerInd
            };
            chart.Series.Add(lineSeries);
            
            rootGrid.Children.Add(chart);
            this.Content = rootGrid;
        }
    }
}
